import { RouteRecordRaw } from 'vue-router';
import { DefineComponent, ExtractPropTypes, ComponentOptionsMixin, PublicProps, ComponentProvideOptions } from 'vue';
declare const _default: DefineComponent<ExtractPropTypes<{
    chil: {
        type: {
            (arrayLength: number): RouteRecordRaw[];
            (...items: RouteRecordRaw[]): RouteRecordRaw[];
            new (arrayLength: number): RouteRecordRaw[];
            new (...items: RouteRecordRaw[]): RouteRecordRaw[];
            isArray(arg: any): arg is any[];
            readonly prototype: any[];
            from<T>(arrayLike: ArrayLike<T>): T[];
            from<T, U>(arrayLike: ArrayLike<T>, mapfn: (v: T, k: number) => U, thisArg?: any): U[];
            from<T>(iterable: Iterable<T> | ArrayLike<T>): T[];
            from<T, U>(iterable: Iterable<T> | ArrayLike<T>, mapfn: (v: T, k: number) => U, thisArg?: any): U[];
            of<T>(...items: T[]): T[];
            readonly [Symbol.species]: ArrayConstructor;
        };
        default: () => never[];
    };
}>, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly< ExtractPropTypes<{
    chil: {
        type: {
            (arrayLength: number): RouteRecordRaw[];
            (...items: RouteRecordRaw[]): RouteRecordRaw[];
            new (arrayLength: number): RouteRecordRaw[];
            new (...items: RouteRecordRaw[]): RouteRecordRaw[];
            isArray(arg: any): arg is any[];
            readonly prototype: any[];
            from<T>(arrayLike: ArrayLike<T>): T[];
            from<T, U>(arrayLike: ArrayLike<T>, mapfn: (v: T, k: number) => U, thisArg?: any): U[];
            from<T>(iterable: Iterable<T> | ArrayLike<T>): T[];
            from<T, U>(iterable: Iterable<T> | ArrayLike<T>, mapfn: (v: T, k: number) => U, thisArg?: any): U[];
            of<T>(...items: T[]): T[];
            readonly [Symbol.species]: ArrayConstructor;
        };
        default: () => never[];
    };
}>> & Readonly<{}>, {
    chil: RouteRecordRaw[];
}, {}, {}, {}, string, ComponentProvideOptions, true, {}, any>;
export default _default;
